https://azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Devices/provisioningServices/{provisioningServiceName}/certificates/{certificateName}Deletes the specified certificate assosciated with the Provisioning Service
Resource group identifier.
The name of the provisioning service.
This is a mandatory field, and is the logical name of the certificate that the provisioning service will access by.
This is optional, and it is the Common Name of the certificate.
Raw data within the certificate.
Indicates if certificate has been verified by owner of the private key.
A description that mentions the purpose of the certificate.
Time the certificate is created.
Time the certificate is last updated.
Indicates if the certificate contains a private key.
Random number generated to indicate Proof of Possession.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'https://azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Devices/provisioningServices/{provisioningServiceName}/certificates/{certificateName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Devices/provisioningServices/{provisioningServiceName}/certificates/{certificateName}Deletes the specified certificate assosciated with the Provisioning Service
Resource group identifier.
The name of the provisioning service.
This is a mandatory field, and is the logical name of the certificate that the provisioning service will access by.
This is optional, and it is the Common Name of the certificate.
Raw data within the certificate.
Indicates if certificate has been verified by owner of the private key.
A description that mentions the purpose of the certificate.
Time the certificate is created.
Time the certificate is last updated.
Indicates if the certificate contains a private key.
Random number generated to indicate Proof of Possession.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'https://azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Devices/provisioningServices/{provisioningServiceName}/certificates/{certificateName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}